[package]
name = "qemu-rdw"
version = "0.1.0"
authors = ["Marc-André Lureau <marcandre.lureau@redhat.com>"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html
[features]
qmp = ["qemu-display/qmp"]

[dependencies]
log = "0.4"
pretty_env_logger = "0.5"
once_cell = "1.19"
zbus.workspace = true
qemu-display.workspace = true
keycodemap.workspace = true
futures-util = "0.3"
futures = "0.3"
async-trait = "0.1"
tracing-subscriber = { version = "0.3.18", features = ["env-filter" , "fmt"], default-features = false }
pixman-sys = "0.1.0"

[target.'cfg(unix)'.dependencies]
rdw = { package = "rdw4", version = "0.1", features = ["bindings"] }

[target.'cfg(windows)'.dependencies]
uds_windows = "1.1.0"
windows = { version = "0.59.0", features = ["Win32_System_Memory", "Win32_Foundation"] }
rdw = { package = "rdw4", version = "0.1", features = ["bindings"], default-features = false }
